CLS   
@ECHO OFF   
ECHO :  This File Builds the Turbo C++ 3.0 Library:  C4BASE.LIB
ECHO :
ECHO :  During this process, library 'C4BASE.LIB' is erased.
ECHO :
ECHO :  This compilation will produce some warnings such as: parameter not
ECHO :  used.  These parameters are used with other compile options.
ECHO :
ECHO :  View the file 'OUT' for compiler output
ECHO :
ECHO :  Warning:  Install CodeBase++ 5.0 before running this batch file.
ECHO :  
ECHO :  Press Ctrl C or Break to abort.
ECHO :
PAUSE
CLS   
ECHO ON
chdir ..\source
tcc %1 %2 -c -w-par -ml -G -P F4INFO_P.CPP F4SEQ.CPP T4INFO.CPP  > OUT
tcc %1 %2 -c -w-par -ml -G -P D4DATA_P.CPP S4STRING.CPP S4STR.CPP  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P B4BLOCK.C  C4.C       C4BCD.C    C4CODE.C   C4CONST.C   >> OUT
tcc %1 %2 -c -w-pia -ml -G -P D4APPEND.C D4CLOSE.C  D4CREATE.C D4DATA.C   D4DATE.C    >> OUT
tcc %1 %2 -c -w-pia -ml -G -P D4FIELD.C  D4FLUSH.C  D4FRESH.C  D4GO.C     D4INDEX.C   >> OUT
tcc %1 %2 -c -w-pia -ml -G -P D4LOCK.C   D4OPEN.C   D4OPT.C    D4PACK.C   D4POSITI.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P D4SEEK.C   D4SKIP.C   D4TAG.C    D4UNLOCK.C D4WRITE.C   >> OUT
tcc %1 %2 -c -w-pia -ml -G -P D4ZAP.C    E4CALC.C   E4ERROR.C  E4EXPR.C   E4FUNCTI.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P E4NOT_S.C  E4PARSE.C  F4ASS_F.C  F4CHAR.C   F4CLOSE.C   >> OUT
tcc %1 %2 -c -w-pia -ml -G -P F4CREATE.C F4DOUBLE.C F4FIELD.C  F4FILE.C   F4FILESE.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P F4FLAG.C   F4FLUSH.C  F4INFO.C   F4INT.C    F4LOCK.C    >> OUT
tcc %1 %2 -c -w-pia -ml -G -P F4LONG.C   F4MEMO.C   F4OPEN.C   F4OPT.C    F4PTR.C     >> OUT
tcc %1 %2 -c -w-pia -ml -G -P F4STR.C    F4TEMP.C   F4TRUE.C   F4WRITE.C  I4ADDTAG.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P I4CHECK.C  I4CREATE.C I4DUMP.C   I4INDEX.C  I4INFO.C    >> OUT
tcc %1 %2 -c -w-pia -ml -G -P I4INIT.C   I4KEY.C    I4LOCK.C   I4NTAG.C   I4POSITI.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P I4REMOVE.C I4TAG.C    L4LINK.C   L4LOCK_C.C M4CHECK.C   >> OUT
tcc %1 %2 -c -w-pia -ml -G -P M4CREATE.C M4FILE.C   M4MAP.C    M4MEMO.C   M4MEMORY.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P O4OPT.C    R4CODE.C   R4DRIVER.C R4GROUP.C  R4LOG.C     >> OUT
tcc %1 %2 -c -w-pia -ml -G -P R4OBJECT.C R4REINDE.C R4REINDX.C R4RELATE.C R4REPORT.C  >> OUT
tcc %1 %2 -c -w-pia -ml -G -P R4SAVE.C   R4SAVE_M.C R4STYLES.C R4TEXT.C   R4TOTAL.C   >> OUT
tcc %1 %2 -c -w-pia -ml -G -P S4INIT.C   S4INITFR.C S4NEXT.C   S4QUICK.C  S4SORT.C    >> OUT
tcc %1 %2 -c -w-pia -ml -G -P U4NAME.C   U4UTIL.C   I4ADD.C                           >> OUT
erase c4base.lib              
tlib c4base.lib /C +F4INFO_P.OBJ +F4SEQ.OBJ    +T4INFO.OBJ                            
tlib c4base.lib /C +D4DATA_P.OBJ +S4STRING.OBJ +S4STR.OBJ                            
tlib c4base.lib /C +B4BLOCK.OBJ  +C4.OBJ       +C4BCD.OBJ    +C4CODE.OBJ   +C4CONST.OBJ
tlib c4base.lib /C +D4APPEND.OBJ +D4CLOSE.OBJ  +D4CREATE.OBJ +D4DATA.OBJ   +D4DATE.OBJ
tlib c4base.lib /C +D4FIELD.OBJ  +D4FLUSH.OBJ  +D4FRESH.OBJ  +D4GO.OBJ     +D4INDEX.OBJ
tlib c4base.lib /C +D4LOCK.OBJ   +D4OPEN.OBJ   +D4OPT.OBJ    +D4PACK.OBJ   +D4POSITI.OBJ
tlib c4base.lib /C +D4SEEK.OBJ   +D4SKIP.OBJ   +D4TAG.OBJ    +D4UNLOCK.OBJ +D4WRITE.OBJ
tlib c4base.lib /C +D4ZAP.OBJ    +E4CALC.OBJ   +E4ERROR.OBJ  +E4EXPR.OBJ   +E4FUNCTI.OBJ
tlib c4base.lib /C +E4NOT_S.OBJ  +E4PARSE.OBJ  +F4ASS_F.OBJ  +F4CHAR.OBJ   +F4CLOSE.OBJ
tlib c4base.lib /C +F4CREATE.OBJ +F4DOUBLE.OBJ +F4FIELD.OBJ  +F4FILE.OBJ   +F4FILESE.OBJ
tlib c4base.lib /C +F4FLAG.OBJ   +F4FLUSH.OBJ  +F4INFO.OBJ   +F4INT.OBJ    +F4LOCK.OBJ
tlib c4base.lib /C +F4LONG.OBJ   +F4MEMO.OBJ   +F4OPEN.OBJ   +F4OPT.OBJ    +F4PTR.OBJ
tlib c4base.lib /C +F4STR.OBJ    +F4TEMP.OBJ   +F4TRUE.OBJ   +F4WRITE.OBJ  +I4ADDTAG.OBJ
tlib c4base.lib /C +I4CHECK.OBJ  +I4CREATE.OBJ +I4DUMP.OBJ   +I4INDEX.OBJ  +I4INFO.OBJ
tlib c4base.lib /C +I4INIT.OBJ   +I4KEY.OBJ    +I4LOCK.OBJ   +I4NTAG.OBJ   +I4POSITI.OBJ
tlib c4base.lib /C +I4REMOVE.OBJ +I4TAG.OBJ    +L4LINK.OBJ   +L4LOCK_C.OBJ +M4CHECK.OBJ
tlib c4base.lib /C +M4CREATE.OBJ +M4FILE.OBJ   +M4MAP.OBJ    +M4MEMO.OBJ   +M4MEMORY.OBJ
tlib c4base.lib /C +O4OPT.OBJ    +R4CODE.OBJ   +R4DRIVER.OBJ +R4GROUP.OBJ  +R4LOG.OBJ
tlib c4base.lib /C +R4OBJECT.OBJ +R4REINDE.OBJ +R4REINDX.OBJ +R4RELATE.OBJ +R4REPORT.OBJ
tlib c4base.lib /C +R4SAVE.OBJ   +R4SAVE_M.OBJ +R4STYLES.OBJ +R4TEXT.OBJ   +R4TOTAL.OBJ
tlib c4base.lib /C +S4INIT.OBJ   +S4INITFR.OBJ +S4NEXT.OBJ   +S4QUICK.OBJ  +S4SORT.OBJ
tlib c4base.lib /C +U4NAME.OBJ   +U4UTIL.OBJ   +I4ADD.OBJ
chdir ..\tcpp3
